
Core - Task # 53467

Epic # 55070 (Accepted): Workpackages
Epic # 55065 (New): WP: Overall System Performance (Backend and Frontend)
Bug # 52949 (Resolved): Speed decrease since 4.5

Status: Under Review Priority: Should have
Author: Tymoteusz Motylewski Category: Performance
Created: 2013-11-08 Assigned To: Tymoteusz Motylewski
Updated: 2015-03-14 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Sprint Focus:
Subject: Improve flush by tag performance for the file cache backend
Description

currently the "flush by tag" command is painfully slow when using file cache backend.
This can be improved e.g. by using tag index (one file for each tag, containing id's of the cache entries)

History
#1 - 2013-11-08 21:25 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25226

#2 - 2013-11-08 23:09 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25226

#3 - 2013-11-08 23:15 - Tymoteusz Motylewski

you can test the performance of this file cache backend by using my tool 
https://github.com/macopedia/cache_benchmark

For Patchset 2
Flushing is over 100times faster, but unfortunatelly write is 2x slower.

-----
Benchmarking 4 concurrent clients, each with 50000 operations...
4 concurrent clients completed in 3 seconds

|   reads|  writes|  cleans
------------------------------------
Client  1|21369.76|  556.49| 1017.37
Client  2|21277.23| 1833.75|  278.43
Client  0|21314.86| 1797.12|  120.11
Client  3|22417.16| 1368.34|  110.95
------------------------------------
ops/sec  |86379.01| 5555.70| 1526.86

2015-08-04 1/3

https://review.typo3.org/25226
https://review.typo3.org/25226
https://github.com/macopedia/cache_benchmark


Old file cache backend:
Benchmarking 4 concurrent clients, each with 50000 operations...
4 concurrent clients completed in 26 seconds

|   reads|  writes|  cleans
------------------------------------
Client  3|21489.71| 2898.47|    2.75
Client  1|20706.24| 3049.82|    2.74
Client  2|21282.95| 2693.66|    3.31
Client  0|20981.27| 2851.33|    2.59
------------------------------------
ops/sec  |84460.17|11493.28|   11.39

#4 - 2013-11-08 23:25 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25226

#5 - 2013-11-09 00:12 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25226

#6 - 2013-11-16 22:39 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25226

#7 - 2013-11-16 23:00 - Tymoteusz Motylewski

results for the patchset 5:

Old file cache backend
ops/sec  |88916.18|11260.14|    8.22

New file cache backend (patchset 5)
ops/sec  |92454.31| 6830.13| 2212.49

#8 - 2013-11-16 23:12 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25226

#9 - 2013-11-19 01:23 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25226

#10 - 2013-11-21 11:48 - Ernesto Baschny
- Parent task set to #52949

#11 - 2014-01-31 11:40 - Andreas Wolf

Is this issue still relevant despite the performance issues?

#12 - 2015-03-14 14:48 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/25226
